Skip to main content
`Ctrl`+`K`

# MATAIJSELL

“AIJSELL” - A matrix type to be used for sparse matrices. This matrix type is identical to `MATSEQAIJSELL` when constructed with a single process communicator, and `MATMPIAIJSELL` otherwise. As a result, for single process communicators, MatSeqAIJSetPreallocation() is supported, and similarly `MatMPIAIJSetPreallocation()` is supported for communicators controlling multiple processes. It is recommended that you call both of the above preallocation routines for simplicity.

## Options Database Key

- -mat_type aijsell - sets the matrix type to `MATAIJSELL`

## See Also

Matrices, `Mat`, `MatCreateMPIAIJSELL()`, `MATSEQAIJSELL`, `MATMPIAIJSELL`, `MATSEQAIJ`, `MATMPIAIJ`, `MATSEQAIJPERM`, `MATMPIAIJPERM`, `MATSEQAIJMKL`, `MATMPIAIJMKL`

## Level

beginner

## Location

src/mat/impls/aij/mpi/aijsell/mpiaijsell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages